Skip to main content
Identity & Access/ZIAM

ZiamAuthorize

Validates the authorization request. An unauthenticated browser receives a ziam_login_tx cookie and is redirected to the configured ZIAM frontend login URL with mode=oidc and an opaque login_request. After browser session login, the frontend follows the backend-issued continueUrl and ZIAM redirects to redirect_uri with an authorization code. PKCE S256 is required for public clients.

GET/api/login/oauth/authorize

Operation ID

ZiamAuthorize

Since

1.0.0

Execution Mode

Synchronous

Auth Context

Auth Required

Auth Context

Send these values as request headers when calling this API.

AuthorizationstringRequired

Bearer Token

X-Tenant-IDstring

X-Tenant-ID

Request Inputs

Query Parameters

  • response_type
    StringRequired

    Must be code.

    Example: code

  • client_id
    StringRequired

    ZIAM application client id.

    Example: ziam-default-client

  • redirect_uri
    StringRequired

    Registered callback URI.

    Example: https://cloud.example.com/iam2/callback

  • scope
    String

    Requested scopes.

    Example: openid profile email

  • state
    String

    Opaque client state returned unchanged.

Responses

302
302

See the error response example on the right.

  • Change Time

    AddedRequest parameters login_continue
    View API
  • Change Time

    AddedRequest parameters login_continue
    View API